Subject: Re: [PATCH 2/2] t: improve upon reftable/basics_test.c in the unit testing framework

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 29 May 2024 08:00:10 +0200

On Tue, May 28, 2024 at 02:46:17PM +0200, Christian Couder wrote:
> On Tue, May 28, 2024 at 1:40 PM Chandra Pratap
> <[email-masked]> wrote:
> >
> > Enhance the new test for reftable/basics.{c, h} in the unit testing
> > framework. The enhancements include:
> > - Move tests for functions in reftable/basics.{c, h} from
> > reftable/record_test.c and reftable/stack_test.c to the new unit test.
> 
> It might be easier for readers if one patch moved tests from
> reftable/record_test.c and a separate patch moved tests from
> reftable/stack_test.c.
> 
> > - Add tests for functions that are not currently tested, like put_be16.
> 
> This could perhaps be done in a separate patch.
> 
> > - Improve the test-cases for the already existing tests.
> 
> Are these improvements to tests that were moved in patch 1/2 of this
> series? If that's the case, these improvements could be in a separate
> patch too.

Some of the test cases are extended to also cover additional edge cases.
But I agree that this is easy to miss, and also think that this patch
should be split up further.

Patrick